'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createAuctionHouse = require('./createAuctionHouse.cjs');
var createBid = require('./createBid.cjs');
var createListing = require('./createListing.cjs');
var updateAuctionHouse = require('./updateAuctionHouse.cjs');

class AuctionsBuildersClient {
  constructor(metaplex) {
    this.metaplex = metaplex;
  }

  createAuctionHouse(input) {
    return createAuctionHouse.createAuctionHouseBuilder(this.metaplex, input);
  }

  createBid(input) {
    return createBid.createBidBuilder(this.metaplex, input);
  }

  createListing(input) {
    return createListing.createListingBuilder(this.metaplex, input);
  }

  updateAuctionHouse(input) {
    return updateAuctionHouse.updateAuctionHouseBuilder(this.metaplex, input);
  }

}

exports.AuctionsBuildersClient = AuctionsBuildersClient;
//# sourceMappingURL=AuctionsBuildersClient.cjs.map
