'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var accounts = require('./accounts.cjs');
var AuctionHouse = require('./AuctionHouse.cjs');
var Operation = require('../../types/Operation.cjs');

// -----------------
// Operation
// -----------------
const Key = 'FindAuctionHouseByAddressOperation';
const findAuctionHouseByAddressOperation = Operation.useOperation(Key);
// -----------------
// Handler
// -----------------
const findAuctionHouseByAddressOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const {
      address,
      commitment
    } = operation.input;
    const account = accounts.toAuctionHouseAccount(await metaplex.rpc().getAccount(address, commitment));
    const mintModel = await metaplex.nfts().findMintWithMetadataByAddress(account.data.treasuryMint, {
      loadJsonMetadata: false,
      commitment
    }).run(scope);
    return AuctionHouse.toAuctionHouse(account, mintModel);
  }
};

exports.findAuctionHouseByAddressOperation = findAuctionHouseByAddressOperation;
exports.findAuctionHouseByAddressOperationHandler = findAuctionHouseByAddressOperationHandler;
//# sourceMappingURL=findAuctionHouseByAddress.cjs.map
