'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var assert = require('../../utils/assert.cjs');

const isNft = value => typeof value === 'object' && value.model === 'nft' && !value.lazy;
function assertNft(value) {
  assert["default"](isNft(value), `Expected Nft model`);
}
const toNft = (metadata, mint, edition) => ({ ...metadata,
  model: 'nft',
  lazy: false,
  metadataAddress: metadata.address,
  mint,
  edition
});
const isLazyNft = value => typeof value === 'object' && value.model === 'nft' && value.lazy;
function assertLazyNft(value) {
  assert["default"](isLazyNft(value), `Expected LazyNft model`);
}
const toLazyNft = metadata => ({ ...metadata,
  model: 'nft',
  lazy: true,
  metadataAddress: metadata.address
});

exports.assertLazyNft = assertLazyNft;
exports.assertNft = assertNft;
exports.isLazyNft = isLazyNft;
exports.isNft = isNft;
exports.toLazyNft = toLazyNft;
exports.toNft = toNft;
//# sourceMappingURL=Nft.cjs.map
