'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createAccount = require('./createAccount.cjs');
var SystemBuildersClient = require('./SystemBuildersClient.cjs');
var transferSol = require('./transferSol.cjs');

class SystemClient {
  constructor(metaplex) {
    this.metaplex = metaplex;
  }

  builders() {
    return new SystemBuildersClient.SystemBuildersClient(this.metaplex);
  }

  createAccount(input) {
    return this.metaplex.operations().getTask(createAccount.createAccountOperation(input));
  }

  transferSol(input) {
    return this.metaplex.operations().getTask(transferSol.transferSolOperation(input));
  }

}

exports.SystemClient = SystemClient;
//# sourceMappingURL=SystemClient.cjs.map
