'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var web3_js = require('@solana/web3.js');
var SystemClient = require('./SystemClient.cjs');
var createAccount = require('./createAccount.cjs');
var transferSol = require('./transferSol.cjs');

const systemModule = () => ({
  install(metaplex) {
    // Program.
    metaplex.programs().register({
      name: 'SystemProgram',
      address: web3_js.SystemProgram.programId
    }); // Operations.

    const op = metaplex.operations();
    op.register(createAccount.createAccountOperation, createAccount.createAccountOperationHandler);
    op.register(transferSol.transferSolOperation, transferSol.transferSolOperationHandler);

    metaplex.system = function () {
      return new SystemClient.SystemClient(this);
    };
  }

});

exports.systemModule = systemModule;
//# sourceMappingURL=plugin.cjs.map
