'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var createMint = require('./createMint.cjs');
var createToken = require('./createToken.cjs');
var createTokenWithMint = require('./createTokenWithMint.cjs');
var mintTokens = require('./mintTokens.cjs');
var sendTokens = require('./sendTokens.cjs');

class TokenBuildersClient {
  constructor(metaplex) {
    this.metaplex = metaplex;
  }

  createMint(input) {
    return createMint.createMintBuilder(this.metaplex, input);
  }

  createToken(input) {
    return createToken.createTokenBuilder(this.metaplex, input);
  }

  createTokenWithMint(input) {
    return createTokenWithMint.createTokenWithMintBuilder(this.metaplex, input);
  }

  mintTokens(input) {
    return mintTokens.mintTokensBuilder(this.metaplex, input);
  }

  sendTokens(input) {
    return sendTokens.sendTokensBuilder(this.metaplex, input);
  }

}

exports.TokenBuildersClient = TokenBuildersClient;
//# sourceMappingURL=TokenBuildersClient.cjs.map
