import { findCandyMachineCreatorPda } from './pdas.mjs';
import { findNftsByCreatorOperation } from '../nftModule/findNftsByCreator.mjs';
import { useOperation } from '../../types/Operation.mjs';

// Operation
// -----------------

const Key = 'FindMintedNftsByCandyMachineOperation';
const findMintedNftsByCandyMachineOperation = useOperation(Key);
// -----------------
// Handler
// -----------------
const findMintedNftsByCandyMachineOperationHandler = {
  handle: async (operation, metaplex, scope) => {
    const {
      candyMachine,
      version = 2,
      commitment
    } = operation.input;
    const firstCreator = version === 2 ? findCandyMachineCreatorPda(candyMachine) : candyMachine;
    return metaplex.operations().execute(findNftsByCreatorOperation({
      creator: firstCreator,
      position: 1,
      commitment
    }), scope);
  }
};

export { findMintedNftsByCandyMachineOperation, findMintedNftsByCandyMachineOperationHandler };
//# sourceMappingURL=findMintedNftsByCandyMachine.mjs.map
