import { createNftBuilder } from './createNft.mjs';
import { printNewEditionBuilder } from './printNewEdition.mjs';
import { updateNftBuilder } from './updateNft.mjs';
import { useNftBuilder } from './useNft.mjs';

class NftBuildersClient {
  constructor(metaplex) {
    this.metaplex = metaplex;
  }

  create(input) {
    return createNftBuilder(this.metaplex, input);
  }

  printNewEdition(input) {
    return printNewEditionBuilder(this.metaplex, input);
  }

  update(input) {
    return updateNftBuilder(this.metaplex, input);
  }

  use(input) {
    return useNftBuilder(this.metaplex, input);
  }

}

export { NftBuildersClient };
//# sourceMappingURL=NftBuildersClient.mjs.map
