import type { Commitment, PublicKey } from '@solana/web3.js';
import { Operation, OperationHandler } from "../../types";
import { AuctionHouse } from './AuctionHouse';
import { Listing } from './Listing';
declare const Key: "FindListingByAddressOperation";
export declare const findListingByAddressOperation: import("../../types").OperationConstructor<FindListingByAddressOperation, "FindListingByAddressOperation", FindListingByAddressInput, Readonly<{
    model: "listing";
    lazy: false;
    auctionHouse: Readonly<{
        model: "auctionHouse";
        address: import("@/types").Pda;
        creatorAddress: PublicKey;
        authorityAddress: PublicKey;
        treasuryMint: Readonly<{
            model: "mint";
            address: PublicKey;
            mintAuthorityAddress: import("@/utils").Option<PublicKey>;
            freezeAuthorityAddress: import("@/utils").Option<PublicKey>;
            decimals: number;
            supply: import("@/types").SplTokenAmount;
            isWrappedSol: boolean;
            currency: import("@/types").SplTokenCurrency;
        }> | import("..").MintWithMetadata;
        feeAccountAddress: import("@/types").Pda;
        treasuryAccountAddress: import("@/types").Pda;
        feeWithdrawalDestinationAddress: PublicKey;
        treasuryWithdrawalDestinationAddress: PublicKey;
        sellerFeeBasisPoints: number;
        requiresSignOff: boolean;
        canChangeSalePrice: boolean;
        isNative: boolean;
    }>;
    token: import("..").TokenWithMetadata;
    tradeStateAddress: import("@/types").Pda;
    sellerAddress: PublicKey;
    bookkeeperAddress: import("@/utils").Option<PublicKey>;
    receiptAddress: import("@/utils").Option<import("@/types").Pda>;
    purchaseReceiptAddress: import("@/utils").Option<PublicKey>;
    price: import("@/types").SplTokenAmount | import("@/types").SolAmount;
    tokens: import("@/types").SplTokenAmount;
    createdAt: import("@/types").DateTime;
    canceledAt: import("@/utils").Option<import("@/types").DateTime>;
}>>;
export declare type FindListingByAddressOperation = Operation<typeof Key, FindListingByAddressInput, Listing>;
export declare type FindListingByAddressInput = {
    address: PublicKey;
    auctionHouse: AuctionHouse;
    loadJsonMetadata?: boolean;
    commitment?: Commitment;
};
export declare const findListingByAddressOperationHandler: OperationHandler<FindListingByAddressOperation>;
export {};
